import { OnInit, EventEmitter } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { DisabledTimeFn } from 'ng-zorro-antd/date-picker/standard-types';
export declare class EditFormComponent implements OnInit {
    private fb;
    constructor(fb: FormBuilder);
    formGroup: FormGroup;
    formItems: {
        [key: string]: any;
    }[];
    bcacFormItems: {
        [key: string]: any;
    }[];
    bcacSubmitForm: EventEmitter<any>;
    bcacResetForm: EventEmitter<boolean>;
    ngOnInit(): void;
    range(start: number, end: number): number[];
    resetForm(e: MouseEvent): void;
    disabledDateFn1: (current: Date) => boolean;
    disabledDateFn2: (current: Date) => boolean;
    disabledDateTime: DisabledTimeFn;
}
